.issue-header {
	display: flex;
	flex-flow: row nowrap;
	width: 100%;
}

.issue-header .line {
    height: 0;
    flex-grow: 1;
    border: 2px solid black;
    align-self: center;
    margin-left: 8px;
}

.issue-label {
	color: white;
	background-color: black;

	padding: 0 6px;
	margin-right: 8px;
}

.issue-date {
	font-weight: bold;
}


.article-grid {
	display: grid;

	grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
	grid-auto-rows: 16px;
	grid-auto-flow: dense;
	gap: 8px;

	margin-bottom: 16px;
}

.article-item {
	border: 1px solid black;
	padding: 8px;

	background-color: var(--base-white);
	color: black;
	text-decoration: none;

	transition: 
		transform var(--anim-time) ease-out,
		color var(--anim-time) ease-out,
		border var(--anim-time) ease-out;
}

.article-item p {
	line-height: 1;
	margin: 0 0 4px;
}

.article-item > p:first-of-type {
	font-weight: bold;
	text-transform: uppercase;
}

.article-item p.author {
	text-transform: uppercase;
}

.article-item p:last-of-type:not(:first-of-type) {
	font-size: 12px;
	color: #666;
	margin-top: 8px;
	transition: color var(--anim-time) ease-out;
}

.article-item img {
	max-width: 100%;
}

@media (min-width: 767px) {
	.article-item:hover {
		transform: translateX(5px);
		color: var(--red);
		border-color: var(--red);
	}

	.article-item:hover p:last-of-type:not(:first-of-type) {
		color: var(--red);
	}
}